# 组件:星星打分组件

# 组件结构描述
- 基本功能:用户可以引入该组件,绑定在number类型的属性上,实现用户选择星星,就能返回对应星级的数字.
- 页面模板
    - 横向的多颗行星列表
        - 根据starCheckList进行循环,显示满星和空星
    - 星星用ion-icon字体图标表示
- 常量属性
    - starCheckList:Array<boolean> 星星选择的数组
        - [true,true,false,false,falce] 表示两颗满星 三颗空星
- 输入属性
    - value:number 默认 0
    - maxValue:number default 5 默认5颗星
- 输出事件
    - onValueChange 事件 返回number类型 组件内选择的星星分数
- 逻辑函数
    - 初始化函数
        - 根据value和maxValue的值,分别计算空星星数量和满星星数量,生成starCheckList
    - 星星选择函数
        - 根据星星所在位置,给value分数赋值,并且重新生成星星数组.
        - 将value的值通过onValueChange事件进行发送

# 组件开发:人工实现
``` bash
ionic g component edit-ratio-star --standalone
```

# 思考题目
- 问题1:如何实现当满星被再次点击时候,分值设置为0?
- 问题2:如何实现不用星星做标识,换成笑脸?
- 问题3:如何实现图标颜色的用户自定义?